version: '2'

services:
   mailhog:
     image: mailhog/mailhog:latest
     ports:
       - "1025:1025"
       - "8025:8025"
     restart: "always"
     network_mode: bridge
        
   mysql-5.7:
     image: mysql:5.7
     volumes:
       - /mysql/docker/:/var/lib/mysql
     ports:
       - "53307:3306"
     restart: "always"
     environment:
       MYSQL_ROOT_PASSWORD: root
     logging:
       driver: journald
     network_mode: bridge

   php-7.3:
     depends_on:
       - mysql-5.7
     links:
       - mysql-5.7:mysql
       - mailhog:mailhog
     build: ../../../php/7.3-apache
     image: pops/php:7.3-apache
     volumes:
       - /home:/home
       - /var/www/html:/var/www/html
       - /export:/export
     ports:
        - "50074:80"
        - "50474:443"
     restart: "always"
     logging:
       driver: journald
     network_mode: bridge
